---
title: FromMySql
---

# MySqlGeometry.FromMySql method

Constructs a [`MySqlGeometry`](../../MySqlGeometryType/) from MySQL's internal format.

```csharp
public static MySqlGeometry FromMySql(ReadOnlySpan<byte> value)
```

| parameter | description |
| --- | --- |
| value | The raw bytes of MySQL's internal GEOMETRY format. |

## Return Value

A new [`MySqlGeometry`](../../MySqlGeometryType/) containing the specified geometry.

## Remarks

See [Internal Geometry Storage Format](https://dev.mysql.com/doc/refman/8.0/en/gis-data-formats.html#gis-internal-format).

## See Also

* class [MySqlGeometry](../../MySqlGeometryType/)
* namespace [MySqlConnector](../../MySqlGeometryType/)
* assembly [MySqlConnector](../../../MySqlConnectorAssembly/)

<!-- DO NOT EDIT: generated by xmldocmd for MySqlConnector.dll -->
