---
title: MySqlGeometry
---

# MySqlGeometry class

Represents MySQL's internal GEOMETRY format: https://dev.mysql.com/doc/refman/8.0/en/gis-data-formats.html#gis-internal-format

```csharp
public sealed class MySqlGeometry
```

## Public Members

| name | description |
| --- | --- |
| static [FromMySql](../MySqlGeometry/FromMySql/)(…) | Constructs a [`MySqlGeometry`](../MySqlGeometryType/) from MySQL's internal format. |
| static [FromWkb](../MySqlGeometry/FromWkb/)(…) | Constructs a [`MySqlGeometry`](../MySqlGeometryType/) from a SRID and Well-known Binary bytes. |
| [SRID](../MySqlGeometry/SRID/) { get; } | The Spatial Reference System ID of this geometry. |
| [Value](../MySqlGeometry/Value/) { get; } | The internal MySQL form of this geometry. |
| [WKB](../MySqlGeometry/WKB/) { get; } | The Well-known Binary serialization of this geometry. |

## See Also

* namespace [MySqlConnector](../../MySqlConnectorNamespace/)
* assembly [MySqlConnector](../../MySqlConnectorAssembly/)

<!-- DO NOT EDIT: generated by xmldocmd for MySqlConnector.dll -->
